  
/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.person.Employment;

// Messaging Classes

/**
 * @author DNS   CHENJ2
 */
public interface EmploymentMetaData
{
    public Employment getEntity();

    public void setEntity(Employment entity);

    public AddressMetaData getAddress();

    public String getEmploymentStatus();

    public String getEmployerName();

    public String getOccupation();
   
    public String getRetirementDate();

    public String getEmployerPhone();
    

}